import { DslDefinition } from '@oinone/kunlun-dsl';
import { RuntimeM2OField, RuntimeO2OField, RuntimeView } from '@oinone/kunlun-engine';
import { FormComplexFieldProps } from '../FormComplexFieldWidget';
import { FormSubviewObjectFieldWidget } from './FormSubviewObjectFieldWidget';
export declare class AsyncFormSubviewObjectFieldWidget<Field extends RuntimeO2OField | RuntimeM2OField = RuntimeO2OField | RuntimeM2OField, Props extends FormComplexFieldProps<Field> = FormComplexFieldProps<Field>> extends FormSubviewObjectFieldWidget<Field, Props> {
    protected initSubview(props: Props): Promise<void>;
    protected generatorRuntimeSubview(props: Props): Promise<RuntimeView>;
    protected getViewLayout(props: Props): Promise<DslDefinition | undefined>;
    protected getViewDsl(props: Props): Promise<DslDefinition | undefined>;
    protected getViewTemplate(props: Props): Promise<DslDefinition | undefined>;
}
